QGIS Application - Bug report #13000

composer legend item clips layer symbols with layer-wide transparency > 0%

2015-06-18 05:39 PM - Mathieu Pellerin - nIRV

No
No
end of life

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21077

Description

The composer legend item currently clips polygon layer's symbols with large border width when the layer has layer-wide transparency

applied to it.
Steps to reproduce:
1. Create a new project, and add a polygon layer

2. Edit the layer's symbology to have the polygon border width use a large value (7 mm, for example)

3. Duplicate the layer, and edit the duplicated layer's layer-wide transparency level to be greater than zero

4. Create a composer, and add a legend item

5. Take note of the clipping occurring with the duplicated layer with transparency, against the non-transparent layer featuring the same

symbology

I'm attaching a small test project that shows the issue too.

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

Files

layer-transparency-clip.qgs 442 KB
